//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="desc" type="{}FreeFormMarkupWithLanguage" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="conceptList" type="{}CodeSystemConceptList" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attGroup ref="{}VersionHandlingEffectiveDateOptional"/&gt;
 *       &lt;attribute name="id" type="{}Oid" /&gt;
 *       &lt;attribute name="ref" type="{}Oid" /&gt;
 *       &lt;attribute name="name" use="required" type="{}BasicId" /&gt;
 *       &lt;attribute ref="{}displayName use="required""/&gt;
 *       &lt;attribute name="statusCode" type="{}ItemStatusCodeLifeCycle" /&gt;
 *       &lt;attribute name="flexibility" type="{}StaticOrDynamicFlexibility" default="dynamic" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "desc",
    "conceptList"
})
@XmlRootElement(name = "codeSystem")
public class CodeSystem {

    private List<FreeFormMarkupWithLanguage> desc;
    private CodeSystemConceptList conceptList;
    @XmlAttribute(name = "id")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String id;
    @XmlAttribute(name = "ref")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String ref;
    @XmlAttribute(name = "name", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String name;
    @XmlAttribute(name = "displayName", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String displayName;
    @XmlAttribute(name = "statusCode")
    private ItemStatusCodeLifeCycle statusCode;
    @XmlAttribute(name = "flexibility")
    private String flexibility;
    @XmlAttribute(name = "effectiveDate")
    private XMLGregorianCalendar effectiveDate;
    @XmlAttribute(name = "expirationDate")
    private XMLGregorianCalendar expirationDate;
    @XmlAttribute(name = "officialReleaseDate")
    private XMLGregorianCalendar officialReleaseDate;
    @XmlAttribute(name = "versionLabel")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String versionLabel;

    /**
     * Gets the value of the desc property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the desc property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDesc().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FreeFormMarkupWithLanguage }
     * @return list object {@link FreeFormMarkupWithLanguage }
     * 
     */
    public List<FreeFormMarkupWithLanguage> getDesc() {
        if (desc == null) {
            desc = new ArrayList<>();
        }
        return this.desc;
    }

    /**
     * Gets the value of the conceptList property.
     * 
     * @return
     *     possible object is
     *     {@link CodeSystemConceptList }
     *     
     */
    public CodeSystemConceptList getConceptList() {
        return conceptList;
    }

    /**
     * Sets the value of the conceptList property.
     * 
     * @param value
     *     allowed object is
     *     {@link CodeSystemConceptList }
     *     
     */
    public void setConceptList(CodeSystemConceptList value) {
        this.conceptList = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the ref property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRef() {
        return ref;
    }

    /**
     * Sets the value of the ref property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRef(String value) {
        this.ref = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the displayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * Sets the value of the displayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayName(String value) {
        this.displayName = value;
    }

    /**
     * Gets the value of the statusCode property.
     * 
     * @return
     *     possible object is
     *     {@link ItemStatusCodeLifeCycle }
     *     
     */
    public ItemStatusCodeLifeCycle getStatusCode() {
        return statusCode;
    }

    /**
     * Sets the value of the statusCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ItemStatusCodeLifeCycle }
     *     
     */
    public void setStatusCode(ItemStatusCodeLifeCycle value) {
        this.statusCode = value;
    }

    /**
     * Gets the value of the flexibility property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFlexibility() {
        if (flexibility == null) {
            return "dynamic";
        } else {
            return flexibility;
        }
    }

    /**
     * Sets the value of the flexibility property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFlexibility(String value) {
        this.flexibility = value;
    }

    /**
     * Gets the value of the effectiveDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEffectiveDate() {
        return effectiveDate;
    }

    /**
     * Sets the value of the effectiveDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEffectiveDate(XMLGregorianCalendar value) {
        this.effectiveDate = value;
    }

    /**
     * Gets the value of the expirationDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpirationDate() {
        return expirationDate;
    }

    /**
     * Sets the value of the expirationDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpirationDate(XMLGregorianCalendar value) {
        this.expirationDate = value;
    }

    /**
     * Gets the value of the officialReleaseDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getOfficialReleaseDate() {
        return officialReleaseDate;
    }

    /**
     * Sets the value of the officialReleaseDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setOfficialReleaseDate(XMLGregorianCalendar value) {
        this.officialReleaseDate = value;
    }

    /**
     * Gets the value of the versionLabel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVersionLabel() {
        return versionLabel;
    }

    /**
     * Sets the value of the versionLabel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVersionLabel(String value) {
        this.versionLabel = value;
    }

}
